Skip to main content
POST
Extract cleaned translation memory

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Body

application/json

Cleaned TM extraction request

Request body for extractCleaned; specifies which TMs to clean and the output format

uids
string[]
required

UIDs of translation memories to extract cleaned content from

outputFormat
enum<string>

Output format for the cleaned TM archive

Available options:
TMX,
XLSX
preserveRatio
number

Threshold ratio for preserving segments (0.0 exclusive to 1.0 inclusive, default 0.9)

Required range: 0 < x < 1
targetLangs
string[]

Target language locales to include; defaults to all TM target langs

Response

Accepted

asyncRequest
object